Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163649 - java-1.4.2-ibm-plugin should not own /usr/lib/mozilla/plugins directory
Summary: java-1.4.2-ibm-plugin should not own /usr/lib/mozilla/plugins directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: java-1.4.2-ibm
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156320 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-19 20:42 UTC by Brian Long
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2005-302
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:46:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:297 qe-ready SHIPPED_LIVE java-1.4.2-ibm bug fix update 2005-09-28 04:00:00 UTC
Red Hat Product Errata RHBA-2005:302 qe-ready SHIPPED_LIVE java-1.4.2-ibm bug fix update 2005-10-05 04:00:00 UTC

Description Brian Long 2005-07-19 20:42:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
When I install java-1.4.2-ibm-plugin-1.4.2.1-1jpp_2rh and run rpm -ql on the RPM, I notice /usr/lib/mozilla/plugins is mentioned.  Other applications install files into this directory as well.  The java RPM should only own the plugin .so files installed, not the entire directory.

Version-Release number of selected component (if applicable):
java-1.4.2-ibm-plugin-1.4.2.1-1jpp_2rh

How reproducible:
Always

Steps to Reproduce:
1. Install java-1.4.2-ibm-plugin-1.4.2.1-1jpp_2rh
2. rpm -ql java-1.4.2-ibm-plugin-1.4.2.1-1jpp_2rh

  

Actual Results:  /usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/JavaPluginControlPanel
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/JavaPluginControlPanel.bin
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/javaplugin.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_jni.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_jnigcc3.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_oji.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_ojigcc3.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/lib/javaplugin.jar

Expected Results:  /usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/JavaPluginControlPanel
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/JavaPluginControlPanel.bin
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/javaplugin.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_jni.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_jnigcc3.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_oji.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/bin/libjavaplugin_ojigcc3.so
/usr/lib/jvm/java-1.4.2-ibm-1.4.2.1/jre/lib/javaplugin.jar


Additional info:

Comment 1 Red Hat Bugzilla 2005-09-28 15:38:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-297.html


Comment 2 Red Hat Bugzilla 2005-10-05 13:46:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-302.html



Note You need to log in before you can comment on or make changes to this bug.